repo/proj/guru:master commit in: dev-python/enlighten/

"Florian Schmaus" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786652153.f7e3131369fe95d2798e4a96d79dfb6f93e57b96.flow@gentoo>
commit:     f7e3131369fe95d2798e4a96d79dfb6f93e57b96
Author:     Pavel Sobolev <contact <AT> paveloom <DOT> dev>
AuthorDate: Wed Aug 12 20:04:29 2026 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 20:15:53 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f7e31313

dev-python/enlighten: new package, add 1.14.1

Signed-off-by: Pavel Sobolev <contact <AT> paveloom.dev>

 dev-python/enlighten/Manifest                |  1 +
 dev-python/enlighten/enlighten-1.14.1.ebuild | 30 ++++++++++++++++++++++++++++
 dev-python/enlighten/metadata.xml            | 12 +++++++++++
 3 files changed, 43 insertions(+)

diff --git a/dev-python/enlighten/Manifest b/dev-python/enlighten/Manifest
new file mode 100644
index 0000000000..9fc474833b
--- /dev/null
+++ b/dev-python/enlighten/Manifest
@@ -0,0 +1 @@
+DIST enlighten-1.14.1.tar.gz 1497799 BLAKE2B 2be3337f953a4d043d772c351669a98e9320333c7d47a8c328eb770c37afdb2fed6af07767feb8ba3baa8d7b11096e318669ee1c7825dd0b2a9f0106b35367c4 SHA512 15f44841707a9e77e1f2174a42ae07bac7ee1be5f14dcc17354f85478b6bdb8893d18d903838c359452ee8cb60604b2ea795873598734f465d9f921102b8614a

diff --git a/dev-python/enlighten/enlighten-1.14.1.ebuild b/dev-python/enlighten/enlighten-1.14.1.ebuild
new file mode 100644
index 0000000000..985a0fc625
--- /dev/null
+++ b/dev-python/enlighten/enlighten-1.14.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+DESCRIPTION="Enlighten Progress Bar for Python Console Apps"
+HOMEPAGE="https://python-enlighten.readthedocs.io/"
+SRC_URI="https://github.com/Rockhopper-Technologies/enlighten/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/blessed[${PYTHON_USEDEP}]
+	dev-python/prefixed[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_install() {
+	rm -rf "${BUILD_DIR}/install$(python_get_sitedir)/benchmarks" || die
+	distutils-r1_python_install
+}

diff --git a/dev-python/enlighten/metadata.xml b/dev-python/enlighten/metadata.xml
new file mode 100644
index 0000000000..a0192b0618
--- /dev/null
+++ b/dev-python/enlighten/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <name>Pavel Sobolev</name>
+    <email>contact-2GWvd5oGOoG/[email protected]</email>
+  </maintainer>
+  <upstream>
+    <bugs-to>https://github.com/SeaDve/Mousai/issues</bugs-to>
+    <remote-id type="github">SeaDve/Mousai</remote-id>
+  </upstream>
+</pkgmetadata>
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.